<!-- Navigation bar -->
<nav class = "navbar navbar-expand-lg navbar-dark bg-dark">
    <a class = "navbar-brand" href = "#">
        <img src= "./../../assets/apple.ico" width = 30 height = 30 alt = ""/>
        MatFit
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" routerLink="/">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink="/browse">Browse foods</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink= "/about">About us</a>
          </li>
        </ul>
      </div>

      <form *ngIf = "!isLoggedIn()" class = "form-inline">
        <button class="btn btn-outline-success my-2 mr-sm-2 " type = "submit" routerLink = "/signin">Sign in</button>
        <button class = "btn btn-outline-success my-2 my-sm-0" type = "submit" routerLink = "/signup">Sign up</button>
      </form>
      <div *ngIf = "isLoggedIn()">
        <button  class = "btn btn-outline-success my-2 mr-sm-2" type = "submit" routerLink = "/createRecipe">Create recipe</button>
        <button (click) = "logout()" class = "btn btn-outline-success my-2 my-sm-0" type = "submit" routerLink = "/">Sign out</button>
      </div>


</nav>
